{
  description = "I have no idea what I'm doing";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    #    nur = {
    #      url = "github:nix-community/NUR";
    #      inputs.nixpkgs.follows = "nixpkgs";
    #    };
  };
  outputs =
    {
      nixpkgs,
      flake-utils,
      home-manager,
      ...
    }:
    {
      nixosConfigurations = {
        laptop = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./nixos/common.nix
            ./nixos/hosts/laptop/default.nix
            ./nixos/hosts/laptop/hardware-configuration.nix
          ];
        };
      };
    }
    // flake-utils.lib.eachSystem flake-utils.lib.allSystems (system: {
      formatter = nixpkgs.legacyPackages.${system}.nixfmt-rfc-style;
      packages.homeConfigurations = {
        irl = home-manager.lib.homeManagerConfiguration {
          pkgs = import nixpkgs { inherit system; };
          modules = [ ./home/irl.nix ];
        };
        irl-gui = home-manager.lib.homeManagerConfiguration {
          pkgs = import nixpkgs { inherit system; };
          modules = [
            ./home/irl.nix
            {
              irl.gui-packages = true;
            }
          ];
        };
      };
    });
}
